%global dlrn_nvr python-ironic-inspector-client-4.5.0-1.20220727111646.3c03e21
%global dlrn 1
%define upstream_version 4.5.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global pypi_name python-ironic-inspector-client

%global sname ironic-inspector-client

%global common_desc Ironic Inspector is an auxiliary service for discovering hardware properties \
for a node managed by OpenStack Ironic. Hardware introspection or hardware \
properties discovery is a process of getting hardware parameters required for \
scheduling from a bare metal node, given it’s power management credentials \
(e.g. IPMI address, user name and password).


Name:           python-ironic-inspector-client
Version: 4.5.0
Release: 1.20220727111646.3c03e21%{?dist}
Summary:        Python client and CLI tool for Ironic Inspector

License:        ASL 2.0
URL:            https://launchpad.net/python-ironic-inspector-client
Source0: python-ironic-inspector-client-4.5.0-1.20220727111646.3c03e21.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=3c03e21b2ad24f8162021a0206ebbf027357d5e5

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%description
%{common_desc}

%package -n python3-%{sname}
Summary:        Python client and CLI tool for Ironic Inspector

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
# This all is required to run unit tests in check phase
BuildRequires:  python3-mock
BuildRequires:  python3-osc-lib-tests
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-requests

Requires:  python3-cliff >= 2.8.0
Requires:  python3-keystoneauth1 >= 3.4.0
Requires:  python3-pbr >= 2.0.0
Requires:  python3-PyYAML >= 3.13
Requires:  python3-requests >= 2.14.2

%if 0%{?fedora} || 0%{?rhel} > 7
Suggests:  python3-oslo-i18n >= 3.15.3
%endif

Obsoletes: python-ironic-discoverd < 1.1.0-3
Provides:  python-ironic-discoverd = %{upstream_version}

%{?python_provide:%python_provide python3-%{sname}}
Obsoletes: python2-%{sname} < %{version}-%{release}

%description -n python3-%{sname}
%{common_desc}

This package contains Python client and command line tool for Ironic Inspector.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n %{pypi_name}-%{upstream_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Let RPM handle the dependencies
rm -f {test-,}requirements.txt

%build
%{py3_build}

%install
%{py3_install}


%check
%{__python3} -m unittest discover ironic_inspector_client.test

%files -n python3-%{sname}
%doc README.rst LICENSE
%{python3_sitelib}/ironic_inspector_client*
%{python3_sitelib}/python_ironic_inspector_client*egg-info

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 4.5.0-1.20220727111646.3c03e21
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 4.5.0-0.20220712114458.3c03e21
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 4.5.0-0.20210528005713.3c03e21
- Update patches

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> 4.5.0-1
- Update patches

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update TOX_CONSTRAINTS_FILE for stable/victoria
- Update .gitreview for stable/victoria
- Remove redundant items from CI jobs
- Update minversion of tox
- Move pep8 dependencies from test-requirements to tox.ini
- Remove lower-constraints job
- Set safe version of hacking
- Use python 3.8 in functional tests
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- Update TOX_CONSTRAINTS_FILE for stable/victoria
- Update .gitreview for stable/victoria

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move osc-lib to test-requirements
- Get rid of the oslo.utils requirement
- Make oslo.i18n an optional dependency
- Cleanup py27 support
- Bump hacking to 3.0.0

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add bindep env and fix pdf doc generation
- Enforce running tox with correct python version based on env
- Stop using six library
- Drop python 2.7 support and testing
- Fixing base job
- Switch jobs to python3
- Switch to Ussuri job
- Recover the functional test
- Add versions to release notes series
- Update the constraints url
- Update master for stable/train

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Add bindep env and fix pdf doc generation
- Enforce running tox with correct python version based on env
- Stop using six library
- Drop python 2.7 support and testing
- Fixing base job
- Switch jobs to python3
- Switch to Ussuri job
- Recover the functional test
- Add versions to release notes series
- Update the constraints url
- Update master for stable/train
- Add bindep env and fix pdf doc generation
- Enforce running tox with correct python version based on env
- Stop using six library
- Drop python 2.7 support and testing
- Fixing base job
- Switch jobs to python3
- Switch to Ussuri job
- Recover the functional test
- Add versions to release notes series
- Update the constraints url
- Update master for stable/train

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add bindep env and fix pdf doc generation
- Enforce running tox with correct python version based on env
- Stop using six library
- Drop python 2.7 support and testing
- Fixing base job
- Switch jobs to python3
- Switch to Ussuri job
- Recover the functional test
- Add versions to release notes series
- Update the constraints url
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


